using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability373.Domain;

public class TaobaoJuItemsSearchTopItemQuery
{

    /*
        页码,必传
    */
    private long? currentPage;


    /*
        一页大小,必传
    */
    private long? pageSize;


    /*
        媒体pid,必传
    */
    private string? pid;


    /*
        是否包邮,可不传
    */
    private bool? postage;


    /*
        状态，预热：1，正在进行中：2,可不传
    */
    private long? status;


    /*
        淘宝类目id,可不传
    */
    private long? taobaoCategoryId;


    /*
        搜索关键词,可不传
    */
    private string? word;



    [JsonPropertyName("current_page")]
    public long? CurrentPage
    {
        get => currentPage;
        set => this.currentPage = value;
    }

    [JsonPropertyName("page_size")]
    public long? PageSize
    {
        get => pageSize;
        set => this.pageSize = value;
    }

    [JsonPropertyName("pid")]
    public string? Pid
    {
        get => pid;
        set => this.pid = value;
    }

    [JsonPropertyName("postage")]
    public bool? Postage
    {
        get => postage;
        set => this.postage = value;
    }

    [JsonPropertyName("status")]
    public long? Status
    {
        get => status;
        set => this.status = value;
    }

    [JsonPropertyName("taobao_category_id")]
    public long? TaobaoCategoryId
    {
        get => taobaoCategoryId;
        set => this.taobaoCategoryId = value;
    }

    [JsonPropertyName("word")]
    public string? Word
    {
        get => word;
        set => this.word = value;
    }

}

